SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Notices
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:deep-equal

fn:deep-equal(item()* $parameter1, item()* $parameter2) → boolean

Function signature

$operand1 | item() *
$operand2 | item() *
Result | xs:boolean

Compares two sequences for deep equality; string values are compared using the default collation; nodes are compared for deep equality of names and content.

XPath 2.0 Specification

fn:deep-equal(item()* $parameter1, item()* $parameter2, string $collation) → boolean

Function signature

$operand1 | item() *
$operand2 | item() *
$collation | string
Result | xs:boolean

Compares two sequences for deep equality; string values are compared using the named collation; nodes are compared for deep equality of names and content.

XPath 2.0 Specification

Next